/*******************************************************************
*
*  DESCRIPTION: class NetworkLoader
*
*  AUTHOR: Amir Barylko & Jorge Beyoglonian 
*
*  EMAIL: mailto://amir@dc.uba.ar
*         mailto://jbeyoglo@dc.uba.ar
*
*  DATE: 27/6/1998
*
*******************************************************************/


#ifndef __NETLOAD_H
#define __NETLOAD_H

/** include files **/
#include "loader.h"

/** forward declarations **/
class CommChannel ;

/** declarations **/
class NetworkLoader : public SimLoader
{
public:
	NetworkLoader();	//Default constructor
	virtual ~NetworkLoader();	//Destructor

protected:
	SimLoader &loadData();
	SimLoader &writeResults();

private:
	CommChannel *commChannel ;
	const string delimitator ;

};	// class NetworkLoader

#endif   //__NETLOAD_H 
